"use client";

import React, {useState} from "react";
import DesktopNav from "./DesktopNav";
import MobileNav from "./MobileNav";

const Nav = () => {
    const [showNav, setShowNav] = useState(false);
    const handleNavShow = () => {
        setShowNav(true);
    };
    const handleNavHide = () => {
        setShowNav(false);
    };

    return (
        <div>
            <DesktopNav openNav={handleNavShow}/>
            <MobileNav showNav={showNav} closeNav={handleNavHide}/>
        </div>
    );
};

export default Nav;
